/*****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the release tools of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  For licensing terms and
** conditions see http://qt.digia.com/licensing.  For further information
** use the contact form at http://qt.digia.com/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Digia gives you certain additional
** rights.  These rights are described in the Digia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU General Public License version 3.0 requirements will be
** met: http://www.gnu.org/copyleft/gpl.html.
**
**
** $QT_END_LICENSE$
**
*****************************************************************************/

// constructor
function Component()
{
}


function resolveQt5EssentialsDependency()
{
    // resolve correct qt component key on the fly from dependencies
    var component_dep = "";
    dependencies = component.dependencies;
    for (var i = 0; i < dependencies.length; i++) {
        dependency = dependencies[i];
        if (dependency.lastIndexOf("essential") != -1) {
            // try to find the parent
            if (dependency.lastIndexOf(".") !== -1) {
                component_dep = dependency.slice(0, dependency.lastIndexOf("."));
                break;
            }
        }
    }

    component_dep += "_qmakeoutput";
    return component_dep;
}


Component.prototype.createOperations = function()
{
    component.createOperations();
    component.addOperation("QtPatch",
                            "windows",
                            "@TargetDir@" + "/5.2.1/msvc2012_64_opengl",
                            "QmakeOutputInstallerKey=" + resolveQt5EssentialsDependency(),
                            "qt5");
}


